
gfx/2d/blender_180
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		map gfx/2d/blender_180.tga
	}
}


gfx/2d/cpmaicon_180
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		map gfx/2d/cpmaicon_180.tga
	}
}


bulletExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/bullet1NPM.tga models/weaphits/bullet2NPM.tga models/weaphits/bullet3NPM.tga gfx/colors/black.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bullet2NPM.tga models/weaphits/bullet3NPM.tga gfx/colors/black.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}


grenadeCPMA_NPM
{
	nopicmip
	cull none
	{
		map models/ammo/grenadeCPMA.tga
		rgbGen identity
	}
}


grenadeExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/glboom/glboom_1NPM.tga models/weaphits/glboom/glboom_2NPM.tga models/weaphits/glboom/glboom_3NPM.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/glboom/glboom_2NPM.tga models/weaphits/glboom/glboom_3NPM.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}


rocketExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 8 models/weaphits/rlboom/rlboom_1NPM.tga models/weaphits/rlboom/rlboom_2NPM.tga models/weaphits/rlboom/rlboom_3NPM.tga models/weaphits/rlboom/rlboom_4NPM.tga models/weaphits/rlboom/rlboom_5NPM.tga models/weaphits/rlboom/rlboom_6NPM.tga models/weaphits/rlboom/rlboom_7NPM.tga models/weaphits/rlboom/rlboom_8NPM.tga
		rgbGen wave inversesawtooth 0 1 0 8
		blendfunc add
	}
	{
		animmap 8 models/weaphits/rlboom/rlboom_2NPM.tga models/weaphits/rlboom/rlboom_3NPM.tga models/weaphits/rlboom/rlboom_4NPM.tga models/weaphits/rlboom/rlboom_5NPM.tga models/weaphits/rlboom/rlboom_6NPM.tga models/weaphits/rlboom/rlboom_7NPM.tga models/weaphits/rlboom/rlboom_8NPM.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 8
		blendfunc add
	}
}


railDiscNPM
{
	nopicmip
	sort nearest
	cull none
	deformVertexes wave 100 sin 0 .5 0 2.4
	{
		clampmap gfx/misc/raildisc_mono2NPM.tga 
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod rotate -30
	}
}

railCoreNPM
{
	nopicmip
	sort nearest
	cull none
	{
		map gfx/misc/railcorethin_monoNPM.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod scroll -1 0
	}
}

railExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/ring02_1NPM.tga models/weaphits/ring02_2NPM.tga models/weaphits/ring02_3NPM.tga models/weaphits/ring02_4NPM.tga gfx/colors/black.tga
		alphaGen wave inversesawtooth 0 1 0 5
		blendfunc blend
	}
	{
		animmap 5 models/weaphits/ring02_2NPM.tga models/weaphits/ring02_3NPM.tga models/weaphits/ring02_4NPM.tga gfx/colors/black.tga gfx/colors/black.tga
		alphaGen wave sawtooth 0 1 0 5
		blendfunc blend
	}
}


bfgExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_1NPM.tga models/weaphits/bfgboom/bfgboom_2NPM.tga models/weaphits/bfgboom/bfgboom_3NPM.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_2NPM.tga models/weaphits/bfgboom/bfgboom_3NPM.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}


//// 99u2


lightningBoltNPM
{
	nopicmip
	cull none
	{
		map gfx/misc/lightning3NPM.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 0.5 0 7.1
		tcmod scale  2 1
		tcMod scroll -5 0
	}
	{
		map gfx/misc/lightning3NPM.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 0.8 0 8.1
		tcmod scale  -1.3 -1
		tcMod scroll -7.2 0
	}
}


chatNPM
{
	nopicmip
	{
		map sprites/balloon4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


//// 99v7


bloodExplosionNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/blood201npm.tga models/weaphits/blood202npm.tga models/weaphits/blood203npm.tga models/weaphits/blood204npm.tga models/weaphits/blood205npm.tga
		blendfunc blend
	}
}


smokePuffNPM
{
	nopicmip
	nomipmaps
	cull disable
	entityMergable		// allow all the sprites to be merged together
	{
		map gfx/misc/smokepuff3npm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}


shotgunSmokePuffNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		map gfx/misc/smokepuff2bnpm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen entity		
		rgbGen entity
	}
}


sprites/plasma1NPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap sprites/plasmaanpm.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 931
	}
}


plasmaExplosionNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap models/weaphits/plasmaboomNPM.tga
		blendfunc add
		tcMod stretch triangle .6 0.1 0 8
		tcmod rotate 999
		rgbGen wave inversesawtooth 0 1 0 1.5
	}
}


//// 99w3


markShadowNPM
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/shadow.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}	
}
